
PRIVATE int terminate_handler (HTRequest * request, HTResponse * response,
			       void * param, int status)
{
		HTEventList_stopLoop ();

		return HT_ERROR;
}


OnTest
{
		// Init
		HTProfile_newNoCacheClient("HTTPTest", "1.0");
		HTNet_addAfter(terminate_handler, NULL, NULL, HT_ALL, HT_FILTER_LAST);




		// Setting the Source Anchor Object
		char * lData = m_Data.GetBuffer (m_Data.GetLength ()); // m_Data = "1=hi"
		HTParentAnchor * src = HTTmpAnchor(NULL);
		HTAnchor_setDocument(src, lData);
		HTAnchor_setFormat(src, WWW_PLAINTEXT);
		HTAnchor_setLength(src, strlen(lData));


		HTAssocList * formfields = HTAssocList_new();
		HTParseFormInput(formfields, lData);
		HTAnchor_setHeader( src , formfields ) ;



	// Serring Dest Anchor Object
		char * cwd = HTGetCurrentDirectoryURL();
		char * dst_str = m_Address.GetBuffer (m_Address.GetLength ());
		HTAnchor * dst = HTAnchor_findAddress(dst_str);


	// Setting the Request Object
		HTRequest * lrequest  = HTRequest_new();
		HTRequest_setOutputFormat(lrequest, WWW_RAW);
	    HTRequest_addConnection(lrequest, "close", "");
		HTRequest_setParent(lrequest , src) ;
		HTRequest_setAnchor( lrequest , dst ) ;

		HTRequest_addExtraHeader( lrequest , "1" , "ONE" ) ;

		HTChunk * chunk = HTLoadAnchorToChunk(dst, lrequest);

		//HTChunk * chunk = HTPostFormAnchorToChunk( formfields , dst, lrequest);
		// if we use HTPostFormAnchorToChunk we are getting eror 405


		HT_FREE(cwd);

		 // If chunk != NULL then we have the data
		if (chunk)
		{
			char * string;
			 //Go into the event loop...
			HTEventList_loop(lrequest);

			// print the chunk result
			string = HTChunk_toCString(chunk);

			AfxMessageBox(string);

			HT_FREE(string);
		}
	    else
		{
			AfxMessageBox("Type the URL you want to accces on the command line\n");
	    }



	    HTRequest_delete(lrequest);

		/* Terminate the Library */
		HTLibTerminate();
}